Subject: Re: linux-next: build failure after merge of the mfd tree

From: Lee Jones <[email-masked]>
Date: Wed, 1 Oct 2025 13:50:28 +0100

On Wed, 01 Oct 2025, Mark Brown wrote:

> On Wed, Oct 01, 2025 at 10:51:08AM +0100, Lee Jones wrote:
> > On Wed, 17 Sep 2025, Mark Brown wrote:
> 
> > > After merging the mfd tree, today's linux-next build (x86_64 allmodconfig)
> > > failed like this:
> 
> > > Caused by commit
> 
> > >    df6a44003953f ("mfd: stmpe: Allow building as module")
> 
> > > which needs commit
> 
> > >    03db20aaa3ba3 ("gpio: stmpe: Allow to compile as a module")
> 
> > > from the gpio tree.  I have used the version from yesterday instead.
> 
> > Isn't the later already in -next?
> 
> Your tree gets merged first so we get a build failure when your tree is
> merged, it would get sorted out eventually when the gpio trees are added
> but all the intermediate builds are broken.

Interesting.

I thought the point of -next was to test everything integrated.

Thanks for the heads-up though.  I'll wait until this has been merged
before sending out my own PR to Linus.

-- 
Lee Jones [李琼斯]